@use "sass:math";

.wpdeskDeactivationModal {
	$root: &;

	&[data-wpdesk-deactivation-modal="{__PLUGIN_SLUG__}"] {

		*,
		*:before,
		*:after {
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}

		#{$root}__wrapper {
			position: fixed;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			display: flex;
			justify-content: center;
			align-items: center;
			background-color: rgba($c-black, .75);
			z-index: 99999;
		}

		#{$root}__form {
			position: relative;
			width: 750px;
			max-width: calc(100vw - 40px);
			max-height: calc(100vh - 40px);
			padding: 20px 30px;
			font-size: 0;
			background-color: $c-white;
			overflow-y: auto;
		}

		#{$root}__close {
			position: absolute;
			top: 0;
			right: 0;
			width: 40px;
			height: 40px;
			font-size: 20px;
			background: none;
			appearance: none;
			border: none;
			cursor: pointer;
			transition: opacity $tr;

			&:hover {
				opacity: .5;
			}
		}

		#{$root}__headline {
			padding: 4px 0;
			font-weight: 500;
			font-size: 16px;
			line-height: math.div(24, 16);
			color: $c-gray-02;
		}

		#{$root}__desc {
			padding: 4px 0;
			font-size: 14px;
			line-height: math.div(22, 14);
			color: $c-gray-02;
		}

		#{$root}__options {
			padding: 10px 0;
		}

		#{$root}__option {

		}

		#{$root}__optionInput {
			display: none;
		}

		#{$root}__optionLabel {
			position: relative;
			display: inline-block;
			padding: 4px 0 4px 40px;
			font-size: 14px;
			line-height: math.div(22, 14);
			color: $c-gray-02;

			&:before {
				content: "";
				position: absolute;
				top: 5px;
				left: 0;
				width: 20px;
				height: 20px;
				border: 1px solid $c-gray-01;
				border-radius: 50%;
			}

			&:after {
				content: "";
				position: absolute;
				top: 12px;
				left: 7px;
				width: 6px;
				height: 6px;
				background-color: $c-blue-01;
				border-radius: 50%;
				transform: scale(0);
				transition: transform $tr;
			}
		}

		#{$root}__optionInput:checked + #{$root}__optionLabel {

			&:after {
				transform: scale(1);
			}
		}

		#{$root}__optionExtra {
			display: none;
		}

		#{$root}__optionInput:checked ~ #{$root}__optionExtra {
			display: block;
			margin-left: 40px;
		}

		#{$root}__optionMessage {
			padding: 4px 0;
			font-size: 14px;
			line-height: math.div(22, 14);
			color: $c-gray-02;
			font-style: italic;
		}

		#{$root}__optionTextarea {
			width: 100%;
			margin-top: 10px;
			padding: 4px 10px;
			font-size: 14px;
			line-height: math.div(22, 14);
			color: $c-gray-02;
			border: 1px solid $c-gray-01;
			border-radius: 0;
			box-shadow: none;
			resize: vertical;

			&::placeholder {
				color: rgba($c-gray-02, .75);
				opacity: 1;
			}
		}

		#{$root}__textarea {

		}

		#{$root}__buttons {
			display: flex;
			flex-wrap: wrap;
			margin: 0 -10px;
		}

		#{$root}__button {
			flex: 1;
			padding: 10px;
		}

		#{$root}__buttonInner {
			position: relative;
			display: block;
			width: 100%;
			padding: 9px 20px;
			font-size: 14px;
			line-height: math.div(22, 14);
			color: $c-white;
			appearance: none;
			border: 1px solid transparent;
			cursor: pointer;
			z-index: 1;

			&:before {
				content: "";
				position: absolute;
				top: 0;
				left: 0;
				width: 100%;
				height: 100%;
				background-color: rgba($c-black, .1);
				opacity: 0;
				transition: opacity $tr;
				z-index: -1;
			}

			&:hover {

				&:before {
					opacity: 1;
				}
			}

			&--blue {
				background-color: $c-blue-01;
				border-color: $c-blue-01;
			}

			&--gray {
				background-color: $c-gray-01;
				border-color: $c-gray-01;
			}
		}
	}
}
